=== debian/changelog ===
retroarch (1.4.1+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Add symlinks to filters and app icon.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 26 Feb 2017 19:53:00 -0300
