## retroarch 1.7.3%2Bdfsg1

=== libretro-imageviewer/Makefile ===
image_core.so: image_core.c
	gcc \
		-g \
		-DHAVE_STB_IMAGE \
		image_core.c \
		-I../../libretro-common/include/ \
		-I../../deps/stb/ \
		../../libretro-common/compat/compat_strcasestr.c \
		../../libretro-common/compat/compat_strl.c \
		../../libretro-common/file/file_path.c \
		../../libretro-common/file/retro_dirent.c \
		../../libretro-common/lists/dir_list.c \
		../../libretro-common/lists/string_list.c \
		../../libretro-common/streams/file_stream.c \
		../../libretro-common/vfs/vfs_implementation.c \
		-shared \
		-fPIC \
		-Wl,--no-undefined \
		-lm \
		-o image_core.so
