=== debian/changelog ===
retroarch (1.7.3+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Ftbfs: add missing dependency libx11-xcb-dev (Closes: #949282)
  * Remove unnecessary dependency libc6-dev (Closes: #866733)
  * Fix lintian error: typo in debian/copyright

 -- Emfox Zhou <emfox@debian.org>  Tue, 11 Feb 2020 13:13:03 +0800

retroarch (1.7.3+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #878252).
  * Declare compliance with Debian Policy 4.0.1.
  * Switch to compat level 10.
  * Upstream no longer uses libglm-dev.
  * Added libminiupnpc-dev dependency.
  * Added AppStream desktop meta-info file.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 06 Jun 2018 21:27:00 -0300

retroarch (1.3.6+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with ffmpeg 4.0. (Closes: #888356)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 21:35:41 +0200
